security:
    role_hierarchy:
            ROLE_USEREDITOR: [ROLE_USER, ROLE_EDITOR]
            ROLE_ADMIN: ROLE_USEREDITOR

    encoders:
        Straxus\CMSBundle\Entity\User:
            algorithm: bcrypt
            cost: 12

    providers:
        our_db_provider:
            entity:
                class: StraxusCMSBundle:User
                property: username

    firewalls:
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false

        default:
            pattern: ^/
            anonymous: ~
            form_login:
                check_path: /login_check
                login_path: /login
                failure_handler: straxus_cms.login.failure
                csrf_provider: security.csrf.token_manager
                provider: our_db_provider
            logout:
                path:   /logout
                target: /

    access_control:
        - { path: ^/login, roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/admin, roles: ROLE_ADMIN }
        - { path: ^/, roles: [ROLE_USER, ROLE_EDITOR] }
        - { path: ^/editor, roles: ROLE_EDITOR }
        - { path: ^/user, roles: ROLE_USER }